Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.handler
Class AsyncServiceHandlerInfo

    java.lang.Object
      |
      +--context.arch.handler.AsyncServiceHandlerInfo

public class AsyncServiceHandlerInfo
extends java.lang.Object

This class acts as a container for handler info. It holds a reference to an asynchronous service handler, the id of the requesting component, the id of the the component offering the service, the name of the service to execute, the name of the service function to execute, and the unique request tag to use.

See Also:
  `AsyncServiceHandler`

Constructor Summary
`AsyncServiceHandlerInfo()` Basic empty constructor
`AsyncServiceHandlerInfo(AsyncServiceHandler handler, java.lang.String localId, java.lang.String serviceId, java.lang.String serviceName, java.lang.String functionName, java.lang.String requestTag)` Full constructor taking all input parameters

Method Summary
`java.lang.String` | `getFunctionName()` Returns the name of the service function
`AsyncServiceHandler` | `getHandler()` Returns the handler
`java.lang.String` | `getLocalId()` Returns the local id
`java.lang.String` | `getRequestTag()` Returns the request tag
`java.lang.String` | `getServiceId()` Returns the service id
`java.lang.String` | `getServiceName()` Returns the name of the service
`java.lang.String` | `getUniqueId()` Returns a unique id for this handler
`void` | `setFunctionName(java.lang.String functionName)` Sets the name of the service function to execute
`void` | `setHandler(AsyncServiceHandler handler)` Sets the handler
`void` | `setLocalId(java.lang.String localId)` Sets the local id
`void` | `setRequestTag(java.lang.String requestTag)` Sets the request tag
`void` | `setServiceId(java.lang.String serviceId)` Sets the service id
`void` | `setServiceName(java.lang.String serviceName)` Sets the name of the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncServiceHandlerInfo

    public AsyncServiceHandlerInfo()

  Basic empty constructor

### AsyncServiceHandlerInfo

    public AsyncServiceHandlerInfo(AsyncServiceHandler handler,
                                   java.lang.String localId,
                                   java.lang.String serviceId,
                                   java.lang.String serviceName,
                                   java.lang.String functionName,
                                   java.lang.String requestTag)

  Full constructor taking all input parameters
  Parameters:
    `handler` - Reference to an asynchronous service handler
    `localId` - Id of the component calling the service
    `serviceId` - Id of the widget providing the service
    `serviceName` - Name of the service to execute
    `functionName` - Name of the service function to execute
    `requestTag` - Tag to identify the request

Method Detail

### getLocalId

    public java.lang.String getLocalId()

  Returns the local id
  Returns:
    the local id

### setLocalId

    public void setLocalId(java.lang.String localId)

  Sets the local id
  Parameters:
    `localId` - Id of the component requesting the service

### getServiceId

    public java.lang.String getServiceId()

  Returns the service id
  Returns:
    the service id

### setServiceId

    public void setServiceId(java.lang.String serviceId)

  Sets the service id
  Parameters:
    `serviceId` - Id of the component providing the service

### getServiceName

    public java.lang.String getServiceName()

  Returns the name of the service
  Returns:
    the name of the service

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Sets the name of the service
  Parameters:
    `serviceName` - Name of the service to execute

### getFunctionName

    public java.lang.String getFunctionName()

  Returns the name of the service function
  Returns:
    the name of the service function

### setFunctionName

    public void setFunctionName(java.lang.String functionName)

  Sets the name of the service function to execute
  Parameters:
    `functionName` - Name of the service function to execute

### getRequestTag

    public java.lang.String getRequestTag()

  Returns the request tag
  Returns:
    the request tag

### setRequestTag

    public void setRequestTag(java.lang.String requestTag)

  Sets the request tag
  Parameters:
    `the` - request tag

### getHandler

    public AsyncServiceHandler getHandler()

  Returns the handler
  Returns:
    the handler

### setHandler

    public void setHandler(AsyncServiceHandler handler)

  Sets the handler
  Parameters:
    `handler` - Handler to use

### getUniqueId

    public java.lang.String getUniqueId()

  Returns a unique id for this handler
  Returns:
    unique id for this handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD